Skip to main content
POST
/
v1
/
admin
/
finance
/
invoices
/
{id}
/
credit-notes
Create a credit note
curl --request POST \
  --url https://{operatorDomain}/v1/admin/finance/invoices/{id}/credit-notes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "crn_01HZX...",
  "invoiceId": "<string>",
  "currency": "<string>",
  "totalCents": 123,
  "creditNoteNumber": "<string>",
  "reason": "<string>",
  "issueDate": "2023-12-25"
}
'
{
  "data": {
    "id": "crn_01HZX...",
    "invoiceId": "<string>",
    "currency": "<string>",
    "totalCents": 123,
    "creditNoteNumber": "<string>",
    "reason": "<string>",
    "issueDate": "2023-12-25"
  }
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Path Parameters

id
string
required

Body

application/json
id
string
required
Example:

"crn_01HZX..."

invoiceId
string
required
currency
string
required
Required string length: 3
totalCents
integer
required
creditNoteNumber
string
reason
string | null
issueDate
string<date>

Response

201 - application/json

Created credit note

data
object